GET /v1/feed/\{user_id\}
Service: community · operationId: (none)
Required scopes
(no scope declared — review service config)
Path parameters
user_id(string) required —
Query parameters
brand_id(string) required —limit(integer) —cursor(string) —range(string) —communities(string) —type(string) —mentions(string) —tag(string) —
Responses
200 User feed/timeline
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"author_id": {
"type": "string"
},
"brand_id": {
"type": "string"
},
"content": {
"type": "string"
},
"score": {
"type": "integer"
},
"reaction_counts": {
"type": "object",
"additionalProperties": {
"type": "integer"
}
},
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"metadata": {
"type": "object",
"additionalProperties": {}
},
"media_urls": {
"type": "array",
"items": {}
},
"moderation_status": {
"type": "string"
},
"created_at": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"is_broadcast": {
"type": "boolean"
},
"broadcast_role": {
"type": [
"string",
"null"
]
},
"pinned_until": {
"type": [
"string",
"null"
]
},
"pinned_by_staff_at": {
"type": [
"string",
"null"
]
}
},
"required": [
"id",
"author_id",
"brand_id",
"content",
"score",
"reaction_counts",
"tags",
"metadata",
"media_urls",
"moderation_status",
"created_at",
"updated_at",
"is_broadcast",
"broadcast_role",
"pinned_until",
"pinned_by_staff_at"
]
}
},
"next_cursor": {
"type": [
"string",
"null"
]
}
},
"required": [
"data",
"next_cursor"
]
}Example
curl -X GET https://community.platform.loop.health/v1/feed/{user_id} \
-H "Authorization: Bearer $ACCESS_TOKEN"Related
services/community— service overview- All endpoints — directory across services
- Auth model — how scopes are enforced